API ReferenceAutomation recipes
List automation recipes
Ready-made automations. Create one with POST /v1/automations/from-recipe, filling its blanks (e.g. which agent to run). Start here before building from steps.
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/automation-recipes"{ "data": [ { "id": "weekly-planning-reminder", "name": "Weekly planning reminder", "description": "string", "category": "Team", "platforms": [ "Instagram", "Facebook" ], "blanks": [ { "key": "agent", "label": "Which Trend Scout", "kind": "agentInstance", "templateIds": [ "trend-scout" ], "required": true } ], "activateInApp": false } ]}